<?php

/**
 * @file
 * Administrative tasks in SMS gateway hub.
 */

/**
 * Send test sms form.
 */
function smsgatewayhub_send_test_sms($form, &$form_state) {
  $form = array();

  $form['numbers'] = array(
    '#type' => 'textfield',
    '#title' => t('Number'),
    '#description' => t('Enter mobile number where you want to send sms. You can provide multiple mobile numbers separated with comma. For example: %example1 OR %example2. Please see the limit of mobile numbers from !smsgatewayhub_site', array(
      '%example1' => '7722061990',
      '%example2' => '7722061990,7729111960,7707091951',
      '!smsgatewayhub_site' => l(t('smsgatewayhub'), 'http://www.smsgatewayhub.com'),
    )),
  );

  $form['message'] = array(
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#description' => t('Enter test message. Message length by number of sms proportion can be seen in !smsgatewayhub_site', array(
      '!smsgatewayhub_site' => l(t('smsgatewayhub'), 'http://www.smsgatewayhub.com'),
    )),
  );

  $form['flash'] = array(
    '#type' => 'checkbox',
    '#title' => t('Flash message'),
    '#description' => t('If checked the sms will appear as a flash message. For more details see !smsgatewayhub_site', array(
      '!smsgatewayhub_site' => l(t('smsgatewayhub'), 'http://www.smsgatewayhub.com'),
    )),
  );

  $form['transactional'] = array(
    '#type' => 'checkbox',
    '#title' => t('Transactional SMS'),
    '#description' => t('If checked SMS will be sent as transactional SMS, otherwise sent as promotional SMS. Note that you need to be authorized for sending transactional SMS, also check templates available for transactional SMS. See !transactional_sms and !promotional_sms here', array(
      '!transactional_sms' => l(t('transactional SMS'), 'http://www.smsgatewayhub.com/transactional-sms'),
      '!promotional_sms' => l(t('promotional SMS'), 'http://www.smsgatewayhub.com/promotional-sms'),
    )),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Send test message'),
  );

  return $form;
}

/**
 * Submit callback for send test sms form.
 */
function smsgatewayhub_send_test_sms_submit($form, &$form_state) {
  smsgatewayhub_send_sms($form_state['values']['numbers'], $form_state['values']['message'], $form_state['values']['flash'], $form_state['values']['transactional']);
}

/**
 * SMS Gateway Hub settings.
 */
function smsgatewayhub_settings($form, &$form_state) {
  $form = array();

  $form['smsgatewayhub_username'] = array(
    '#type' => 'textfield',
    '#title' => t('Username'),
    '#description' => t('Enter your SMS Gateway Hub username'),
    '#default_value' => variable_get('smsgatewayhub_username', ''),
    '#required' => TRUE,
  );

  $form['smsgatewayhub_password'] = array(
    '#type' => 'password',
    '#title' => t('Password'),
    '#description' => t('Enter your SMS Gateway Hub password'),
    '#required' => TRUE,
  );

  $form['smsgatewayhub_senderid'] = array(
    '#type' => 'textfield',
    '#title' => t('Sender ID'),
    '#description' => t('Enter your SMS Gateway Hub sender ID. You can check your sender ID from !smsgatewayhub_senderid_link', array(
      '!smsgatewayhub_senderid_link' => l(t('smsgatewayhub'), 'http://api.smsgatewayhub.com/Apps/SMS/ManageSenderId.aspx#Template-menu'),
    )),
    '#default_value' => variable_get('smsgatewayhub_senderid', ''),
    '#required' => TRUE,
  );

  $form['smsgatewayhub_log'] = array(
    '#type' => 'checkbox',
    '#title' => t('Log SMS delivery'),
    '#description' => t('Check this if you want to log SMS delivery report'),
    '#default_value' => variable_get('smsgatewayhub_log', 1),
  );

  return system_settings_form($form);
}
